Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001729KdenliveUser Interfacepublic2010-08-03 15:502010-09-14 23:20
Reporterhaisaul 
Assigned To 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionno change required 
Platform32 bit intel and alikeOSGentoo LinuxOS Version2008.0
Product VersionRecent git 
Target VersionFixed in Version 
Summary0001729: crashes on dragging clip to the timeline
DescriptionI add a new clip to the project manager. Then I drag the clip from the project manager to the timeline and kdenlive crashes. I tried different clip formats: ogv, h264 and default mpeg.
Steps To Reproduce1) add a new clip
2) drag the clip to the timeline
3) crash
Additional Information(gdb) run
Starting program: /usr/local/bin/kdenlive
[Thread debugging using libthread_db enabled]
File given: true
Color mode changed to 0
File given: true
Scope "Vectorscope" is not visible. Not calculating scope.
QWidget::insertAction: Attempt to insert null action
QWidget::insertAction: Attempt to insert null action
[New Thread 0xb2281b70 (LWP 2369)]
[New Thread 0xb1a80b70 (LWP 2370)]
[Thread 0xb2281b70 (LWP 2369) exited]
[Thread 0xb1a80b70 (LWP 2370) exited]
[New Thread 0xb1a80b70 (LWP 2372)]
[New Thread 0xb2281b70 (LWP 2373)]
[Thread 0xb1a80b70 (LWP 2372) exited]
[Thread 0xb2281b70 (LWP 2373) exited]
[New Thread 0xb2281b70 (LWP 2374)]
[New Thread 0xb1a80b70 (LWP 2375)]
Active monitor has changed in "Vectorscope" . Is the clip monitor active now? true
Scope "Vectorscope" is not visible. Not calculating HUD.
Scope "Vectorscope" is not visible. Not calculating scope.
Scope "Vectorscope" is not visible. Not calculating background.
Active monitor has changed in "Waveform" . Is the clip monitor active now? true
Scope "Waveform" is not visible. Not calculating HUD.
Scope "Waveform" is not visible. Not calculating scope.
Scope "Waveform" is not visible. Not calculating background.
Active monitor has changed in "RGB Parade" . Is the clip monitor active now? true
Scope "RGB Parade" is not visible. Not calculating HUD.
Scope "RGB Parade" is not visible. Not calculating scope.
Scope "RGB Parade" is not visible. Not calculating background.
Active monitor has changed in "Histogram" . Is the clip monitor active now? true
Scope "Histogram" is not visible. Not calculating HUD.
Scope "Histogram" is not visible. Not calculating scope.
Scope "Histogram" is not visible. Not calculating background.
[Thread 0xb2281b70 (LWP 2374) exited]
[Thread 0xb1a80b70 (LWP 2375) exited]
[New Thread 0xb1a80b70 (LWP 2376)]
[New Thread 0xb2281b70 (LWP 2377)]
[Thread 0xb1a80b70 (LWP 2376) exited]
[Thread 0xb2281b70 (LWP 2377) exited]
[New Thread 0xb2281b70 (LWP 2379)]
[New Thread 0xb1a80b70 (LWP 2380)]
Active monitor has changed in "Vectorscope" . Is the clip monitor active now? false
Scope "Vectorscope" is not visible. Not calculating HUD.
Scope "Vectorscope" is not visible. Not calculating scope.
Scope "Vectorscope" is not visible. Not calculating background.
Active monitor has changed in "Waveform" . Is the clip monitor active now? false
Scope "Waveform" is not visible. Not calculating HUD.
Scope "Waveform" is not visible. Not calculating scope.
Scope "Waveform" is not visible. Not calculating background.
Active monitor has changed in "RGB Parade" . Is the clip monitor active now? false
Scope "RGB Parade" is not visible. Not calculating HUD.
Scope "RGB Parade" is not visible. Not calculating scope.
Scope "RGB Parade" is not visible. Not calculating background.
Active monitor has changed in "Histogram" . Is the clip monitor active now? false
Scope "Histogram" is not visible. Not calculating HUD.
Scope "Histogram" is not visible. Not calculating scope.
Scope "Histogram" is not visible. Not calculating background.
Active monitor has changed in "Vectorscope" . Is the clip monitor active now? false
Scope "Vectorscope" is not visible. Not calculating HUD.
Scope "Vectorscope" is not visible. Not calculating scope.
Scope "Vectorscope" is not visible. Not calculating background.
Active monitor has changed in "Waveform" . Is the clip monitor active now? false
Scope "Waveform" is not visible. Not calculating HUD.
Scope "Waveform" is not visible. Not calculating scope.
Scope "Waveform" is not visible. Not calculating background.
Active monitor has changed in "RGB Parade" . Is the clip monitor active now? false
Scope "RGB Parade" is not visible. Not calculating HUD.
Scope "RGB Parade" is not visible. Not calculating scope.
Scope "RGB Parade" is not visible. Not calculating background.
Active monitor has changed in "Histogram" . Is the clip monitor active now? false
Scope "Histogram" is not visible. Not calculating HUD.
Scope "Histogram" is not visible. Not calculating scope.
Scope "Histogram" is not visible. Not calculating background.
[Thread 0xb2281b70 (LWP 2379) exited]
[Thread 0xb1a80b70 (LWP 2380) exited]
[New Thread 0xb1a80b70 (LWP 2381)]
[New Thread 0xb2281b70 (LWP 2382)]
Active monitor has changed in "Vectorscope" . Is the clip monitor active now? true
Scope "Vectorscope" is not visible. Not calculating HUD.
Scope "Vectorscope" is not visible. Not calculating scope.
Scope "Vectorscope" is not visible. Not calculating background.
Active monitor has changed in "Waveform" . Is the clip monitor active now? true
Scope "Waveform" is not visible. Not calculating HUD.
Scope "Waveform" is not visible. Not calculating scope.
Scope "Waveform" is not visible. Not calculating background.
Active monitor has changed in "RGB Parade" . Is the clip monitor active now? true
Scope "RGB Parade" is not visible. Not calculating HUD.
Scope "RGB Parade" is not visible. Not calculating scope.
Scope "RGB Parade" is not visible. Not calculating background.
Active monitor has changed in "Histogram" . Is the clip monitor active now? true
Scope "Histogram" is not visible. Not calculating HUD.
Scope "Histogram" is not visible. Not calculating scope.
Scope "Histogram" is not visible. Not calculating background.
Scope "Vectorscope" is not visible. Not calculating HUD.
Scope "Vectorscope" is not visible. Not calculating scope.
Scope "Vectorscope" is not visible. Not calculating background.
Scope "Waveform" is not visible. Not calculating HUD.
Scope "Waveform" is not visible. Not calculating scope.
Scope "Waveform" is not visible. Not calculating background.
Scope "RGB Parade" is not visible. Not calculating HUD.
Scope "RGB Parade" is not visible. Not calculating scope.
Scope "RGB Parade" is not visible. Not calculating background.
According to the spacer, the top left point is 80 / 27
Scope "Histogram" is not visible. Not calculating HUD.
Scope "Histogram" is not visible. Not calculating scope.
Scope "Histogram" is not visible. Not calculating background.
According to the spacer, the top left point is 80 / 27
According to the spacer, the top left point is 80 / 27
Monitor incoming. New frames total HUD/Scope/Background: 1 / 1 / 1
Scope of widget "Vectorscope" is not at the top, not rendering.
Monitor incoming. New frames total HUD/Scope/Background: 1 / 1 / 1
Scope of widget "Waveform" is not at the top, not rendering.
Monitor incoming. New frames total HUD/Scope/Background: 1 / 1 / 1
Scope of widget "RGB Parade" is not at the top, not rendering.
Monitor incoming. New frames total HUD/Scope/Background: 1 / 1 / 1
Scope of widget "Histogram" is not at the top, not rendering.
Monitor incoming. New frames total HUD/Scope/Background: 2 / 2 / 2
Scope of widget "Vectorscope" is not at the top, not rendering.
Monitor incoming. New frames total HUD/Scope/Background: 2 / 2 / 2
Scope of widget "Waveform" is not at the top, not rendering.
Monitor incoming. New frames total HUD/Scope/Background: 2 / 2 / 2
Scope of widget "RGB Parade" is not at the top, not rendering.
Monitor incoming. New frames total HUD/Scope/Background: 2 / 2 / 2
Scope of widget "Histogram" is not at the top, not rendering.
Monitor incoming. New frames total HUD/Scope/Background: 3 / 3 / 3
Scope of widget "Vectorscope" is not at the top, not rendering.
Monitor incoming. New frames total HUD/Scope/Background: 3 / 3 / 3
Scope of widget "Waveform" is not at the top, not rendering.
Monitor incoming. New frames total HUD/Scope/Background: 3 / 3 / 3
Scope of widget "RGB Parade" is not at the top, not rendering.
Monitor incoming. New frames total HUD/Scope/Background: 3 / 3 / 3
Scope of widget "Histogram" is not at the top, not rendering.
Monitor incoming. New frames total HUD/Scope/Background: 4 / 4 / 4
Scope of widget "Vectorscope" is not at the top, not rendering.
Monitor incoming. New frames total HUD/Scope/Background: 4 / 4 / 4
Scope of widget "Waveform" is not at the top, not rendering.
Monitor incoming. New frames total HUD/Scope/Background: 4 / 4 / 4
Scope of widget "RGB Parade" is not at the top, not rendering.
Monitor incoming. New frames total HUD/Scope/Background: 4 / 4 / 4
Scope of widget "Histogram" is not at the top, not rendering.
Monitor incoming. New frames total HUD/Scope/Background: 5 / 5 / 5
Scope of widget "Vectorscope" is not at the top, not rendering.
Monitor incoming. New frames total HUD/Scope/Background: 5 / 5 / 5
Scope of widget "Waveform" is not at the top, not rendering.
Monitor incoming. New frames total HUD/Scope/Background: 5 / 5 / 5
Scope of widget "RGB Parade" is not at the top, not rendering.
Monitor incoming. New frames total HUD/Scope/Background: 5 / 5 / 5
Scope of widget "Histogram" is not at the top, not rendering.
Monitor incoming. New frames total HUD/Scope/Background: 6 / 6 / 6
Scope of widget "Vectorscope" is not at the top, not rendering.
Monitor incoming. New frames total HUD/Scope/Background: 6 / 6 / 6
Scope of widget "Waveform" is not at the top, not rendering.
Monitor incoming. New frames total HUD/Scope/Background: 6 / 6 / 6
Scope of widget "RGB Parade" is not at the top, not rendering.
Monitor incoming. New frames total HUD/Scope/Background: 6 / 6 / 6
Scope of widget "Histogram" is not at the top, not rendering.
[Thread 0xb1a80b70 (LWP 2381) exited]
[Thread 0xb2281b70 (LWP 2382) exited]
[New Thread 0xb2281b70 (LWP 2387)]
[New Thread 0xb1a80b70 (LWP 2388)]
Monitor incoming. New frames total HUD/Scope/Background: 7 / 7 / 7
Scope of widget "Vectorscope" is not at the top, not rendering.
Monitor incoming. New frames total HUD/Scope/Background: 7 / 7 / 7
Scope of widget "Waveform" is not at the top, not rendering.
Monitor incoming. New frames total HUD/Scope/Background: 7 / 7 / 7
Scope of widget "RGB Parade" is not at the top, not rendering.
Monitor incoming. New frames total HUD/Scope/Background: 7 / 7 / 7
Scope of widget "Histogram" is not at the top, not rendering.
Monitor incoming. New frames total HUD/Scope/Background: 8 / 8 / 8
Scope of widget "Vectorscope" is not at the top, not rendering.
Monitor incoming. New frames total HUD/Scope/Background: 8 / 8 / 8
Scope of widget "Waveform" is not at the top, not rendering.
Monitor incoming. New frames total HUD/Scope/Background: 8 / 8 / 8
Scope of widget "RGB Parade" is not at the top, not rendering.
Monitor incoming. New frames total HUD/Scope/Background: 8 / 8 / 8
Scope of widget "Histogram" is not at the top, not rendering.
Monitor incoming. New frames total HUD/Scope/Background: 9 / 9 / 9
Scope of widget "Vectorscope" is not at the top, not rendering.
Monitor incoming. New frames total HUD/Scope/Background: 9 / 9 / 9
Scope of widget "Waveform" is not at the top, not rendering.
Monitor incoming. New frames total HUD/Scope/Background: 9 / 9 / 9
Scope of widget "RGB Parade" is not at the top, not rendering.
Monitor incoming. New frames total HUD/Scope/Background: 9 / 9 / 9
Scope of widget "Histogram" is not at the top, not rendering.
[New Thread 0xafbb1b70 (LWP 2389)]

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0xafbb1b70 (LWP 2389)]
0xb372a78a in ?? () from /usr/local/lib/libswscale.so.0
(gdb) thread apply all backtrace

Thread 16 (Thread 0xafbb1b70 (LWP 2389)):
#0 0xb372a78a in ?? () from /usr/local/lib/libswscale.so.0
#1 0x00000000 in ?? ()

Thread 15 (Thread 0xb1a80b70 (LWP 2388)):
#0 0xffffe424 in __kernel_vsyscall ()
#1 0xb6fce305 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
0000002 0xb41a20cd in ?? () from /usr/lib/mlt/libmltsdl.so
Backtrace stopped: previous frame inner to this frame (corrupt stack?)

Thread 14 (Thread 0xb2281b70 (LWP 2387)):
#0 0xffffe424 in __kernel_vsyscall ()
#1 0xb6fce632 in pthread_cond_timedwait@@GLIBC_2.3.2 ()
   from /lib/libpthread.so.0
0000002 0xb7fb0a55 in mlt_consumer_get_frame () from /usr/lib/libmlt.so.2
0000003 0x087375b8 in ?? ()
Backtrace stopped: previous frame inner to this frame (corrupt stack?)

Thread 1 (Thread 0xb5843700 (LWP 2359)):
#0 0xffffe424 in __kernel_vsyscall ()
#1 0xb630d757 in poll () from /lib/libc.so.6
0000002 0xb5ae771b in g_poll () from /usr/lib/libglib-2.0.so.0
---Type <return> to continue, or q <return> to quit---
0000003 0x00000007 in ?? ()
Backtrace stopped: previous frame inner to this frame (corrupt stack?)

TagsNo tags attached.
Build/Install MethodManual build from SVN
Attached Filestxt file icon a.txt [^] (12,645 bytes) 2010-08-03 15:50 [Show Content]

- Relationships

-  Notes
(0005465)
haisaul (reporter)
2010-08-03 15:52

sorry for duplicate bug reports
(0005466)
tidris769 (reporter)
2010-08-03 19:03

That doesn't happen on my 32-bit ubuntu system with svn 4680 (or previous versions). My guess is that something is not configured properly in your system, perhaps incompatible library versions installed or some needed libraries missing.
(0005483)
ttill (developer)
2010-08-08 20:59

For how long does this happen?
Did you do a recent upgrade, something like this?
(0005486)
haisaul (reporter)
2010-08-08 21:11

I followed tidris's advice and checked compatibility of my libraries. I found out, that a while ago I had manually installed an old version of ffmpeg. It was hidden in my system and caused the crash. I deleted the old local libraries and now everything works fine.

Thanks for the advice, sorry for the inconvenience... my bad.

- Issue History
Date Modified Username Field Change
2010-08-03 15:50 haisaul New Issue
2010-08-03 15:50 haisaul File Added: a.txt
2010-08-03 15:52 haisaul Note Added: 0005465
2010-08-03 19:03 tidris769 Note Added: 0005466
2010-08-08 20:59 ttill Note Added: 0005483
2010-08-08 21:00 ttill Status new => feedback
2010-08-08 21:11 haisaul Note Added: 0005486
2010-08-08 21:11 haisaul Status feedback => new
2010-08-08 21:15 ttill Status new => resolved
2010-08-08 21:15 ttill Resolution open => no change required
2010-09-14 23:20 ttill Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker